import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthGuardService } from './auth-guard.service';
import { LoginComponent } from './login/login.component';
import { LogoutComponent } from './logout/logout.component';
import { MyTenantsComponent } from './my-tenants/my-tenants.component';
import { MyPremisesComponent } from './my-premises/my-premises.component';
import { MyFlatsComponent } from './my-flats/my-flats.component';
import { MyParkingsComponent } from './my-parkings/my-parkings.component';
import { MyCommercialUnitsComponent } from './my-commercial-units/my-commercial-units.component';
import { TenantDetailsComponent } from './tenant-details/tenant-details.component';


const routes: Routes = [
  { path: 'tenants', component: MyTenantsComponent, canActivate: [ AuthGuardService ] },
  { path: 'premises', component: MyPremisesComponent, canActivate: [ AuthGuardService ] },
  { path: 'flats', component: MyFlatsComponent, canActivate: [ AuthGuardService ] },
  { path: 'parkings', component: MyParkingsComponent, canActivate: [ AuthGuardService ] },
  { path: 'commercialunits', component: MyCommercialUnitsComponent, canActivate: [ AuthGuardService ] },
  { path: 'tenant/:id', component: TenantDetailsComponent, canActivate: [ AuthGuardService ] },
  { path: 'tenant', component: TenantDetailsComponent, canActivate: [ AuthGuardService ] },
  { path: 'logout', component: LogoutComponent },
  { path: 'login', component: LoginComponent }
]

@NgModule({
  imports: [RouterModule.forRoot(routes, {onSameUrlNavigation:'reload'})],
  exports: [RouterModule]
})

export class AppRoutingModule { }
