import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, CanActivate, Router, RouterStateSnapshot } from '@angular/router';
import { MessageService } from './message.service';
import { TokenService } from './token.service';

@Injectable({
  providedIn: 'root'
})
export class AuthGuardService implements CanActivate {

  constructor(public tokenService: TokenService, public router: Router, private messageService: MessageService) { 
  }

  canActivate(next: ActivatedRouteSnapshot, state: RouterStateSnapshot) {
    this.messageService.add(`Activated: ${next.url}`)
    if (! this.tokenService.checkAuthenticated()) {
      return this.router.parseUrl(`/login?returnUrl=${next.url}`)
    } else {
      return true;
    }
  }
}
