import { Component, OnInit } from '@angular/core';
import { MessageService } from '../message.service';
import { TestOutputService } from '../test-output.service';
import { TestOutput } from '../testOutput';

@Component({
  selector: 'app-test-output',
  templateUrl: './test-output.component.html',
  styleUrls: ['./test-output.component.css']
})
export class TestOutputComponent implements OnInit {

  constructor(private testOutputService: TestOutputService, private messageService: MessageService) { }

  testOutput : TestOutput = { "message": "abc", "details": "123" }

  async getTestOutput() {
    try {
      this.testOutput = await this.testOutputService.getTestOutput();
    } catch (err) {
      this.messageService.add(JSON.stringify(err, undefined, 4))
    }
  }

  ngOnInit(): void {
    this.messageService.add("TestOutputComponent.ngOnInit")
    this.getTestOutput();
  }
}
